summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2011-03-07 20:37:18 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-03-07 20:37:18 -0300
commit6d3bd89e2c6a368893b6da954b85ac325620395e (patch)
tree876cef219c82dc501f7066ee1457f357759cd7f8
parent61ac3bfa4353955d6d2a2269073b460bce66838a (diff)
downloadslackbuilds-6d3bd89e2c6a368893b6da954b85ac325620395e.tar.gz
slackbuilds-6d3bd89e2c6a368893b6da954b85ac325620395e.tar.xz
libraries/openbabel: Updated for version 2.3.0.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--libraries/openbabel/openbabel.SlackBuild36
-rw-r--r--libraries/openbabel/openbabel.info8
-rw-r--r--libraries/openbabel/slack-desc2
3 files changed, 24 insertions, 22 deletions
diff --git a/libraries/openbabel/openbabel.SlackBuild b/libraries/openbabel/openbabel.SlackBuild
index a6a7f05468..638623cdb0 100644
--- a/libraries/openbabel/openbabel.SlackBuild
+++ b/libraries/openbabel/openbabel.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for openbabel
-# Copyright 2006,2007,2008,2009,2010 Robby Workman Northport, Alabama, USA
+# Copyright 2006-2011 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,17 +22,17 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Thanks to Daniil Bratashov (dn2010@gmail.com) for the cmake conversion
+
PRGNAM=openbabel
-VERSION=2.2.3
+VERSION=2.3.0
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -67,21 +67,23 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+w,go-w+r .
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --disable-static \
- --build=$ARCH-slackware-linux
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
-make
-make install-strip DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+mv $PKG/usr/share/man $PKG/usr
find $PKG/usr/man -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/openbabel/openbabel.info b/libraries/openbabel/openbabel.info
index be1fed8a99..598c1788bd 100644
--- a/libraries/openbabel/openbabel.info
+++ b/libraries/openbabel/openbabel.info
@@ -1,10 +1,10 @@
PRGNAM="openbabel"
-VERSION="2.2.3"
+VERSION="2.3.0"
HOMEPAGE="http://openbabel.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/openbabel/openbabel-2.2.3.tar.gz"
-MD5SUM="7ea8845c54d6d3a9be378c78088af804"
+DOWNLOAD="http://downloads.sourceforge.net/openbabel/openbabel-2.3.0.tar.gz"
+MD5SUM="effda01ed4a31d18d8e3d08191799608"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="dsomero"
+APPROVED="Niels Horn"
diff --git a/libraries/openbabel/slack-desc b/libraries/openbabel/slack-desc
index 73506a0432..bc1560caa2 100644
--- a/libraries/openbabel/slack-desc
+++ b/libraries/openbabel/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler---------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
openbabel: openbabel (Open Babel 3D Library)
openbabel:
openbabel: Open Babel is a project designed to pick up where Babel left off,